Package org.eclipse.gef.fx.nodes

## Interface IConnectionInterpolator

All Known Implementing Classes:
  `AbstractInterpolator`, `PolyBezierInterpolator`, `PolylineInterpolator`

    public interface IConnectionInterpolator

An `IConnectionInterpolator` is responsible for updating the `Connection`'s `curve node` (which includes to properly clip it at the start and end decorations), as well as for arranging the decorations.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `interpolate​(Connection connection)` Interpolates the given `Connection`, i.e updates its `curve node` to reflect a respective geometry.

### Method Detail

#### interpolate

    void interpolate​(Connection connection)

Interpolates the given `Connection`, i.e updates its `curve node` to reflect a respective geometry. The `IConnectionInterpolator` is also responsible of arranging the connection's `start` and `end` decorations (and has to ensure the curve node is properly clipped to not render through the decorations).

Parameters:
  `connection` - The `Connection` to interpolate.